Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.events
Class FocusAdapter

    java.lang.Object
      org.eclipse.swt.events.FocusAdapter

All Implemented Interfaces:
  EventListener, FocusListener, org.eclipse.swt.internal.SWTEventListener

public abstract class FocusAdapter
extends Object
implements FocusListener

This adapter class provides default implementations for the methods described by the `FocusListener` interface.

Classes that wish to deal with `FocusEvent`s can extend this class and override only the methods which they are interested in.

See Also:
  `FocusListener`, `FocusEvent`

Constructor Summary
`FocusAdapter()`

Method Summary
`void` | `focusGained(FocusEvent e)` Sent when a control gets focus.
`void` | `focusLost(FocusEvent e)` Sent when a control loses focus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FocusAdapter

    public FocusAdapter()

Method Detail

### focusGained

    public void focusGained(FocusEvent e)

  Sent when a control gets focus. The default behavior is to do nothing.

  Specified by:
    `focusGained` in interface `FocusListener`
  Parameters:
    `e` - an event containing information about the focus change

### focusLost

    public void focusLost(FocusEvent e)

  Sent when a control loses focus. The default behavior is to do nothing.

  Specified by:
    `focusLost` in interface `FocusListener`
  Parameters:
    `e` - an event containing information about the focus change

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.